Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Data Fields | Static Public Attributes
proofs::NodeInfoF< Field > Struct Template Reference

## Public Types
using | quad_corner_t = typename Quad<Field>::quad_corner_t
using | size_t_for_storage = term::size_t_for_storage

## Public Member Functions
quad_corner_t | desired_wire_id (size_t depth0, size_t depth_ub) const

## Data Fields
size_t_for_storage | depth
quad_corner_t | desired_wire_id_for_input
quad_corner_t | desired_wire_id_for_output
size_t_for_storage | max_needed_depth
bool | is_needed
bool | is_output
bool | is_input
bool | is_assert0

## Static Public Attributes
static const constexpr quad_corner_t | kWireIdUndefined = quad_corner_t(-1)

The documentation for this struct was generated from the following file:

- lib/circuits/compiler/node.h